org.springframework.web.servlet.handler

## Class ConversionServiceExposingInterceptor

- java.lang.Object
- - org.springframework.web.servlet.handler.ConversionServiceExposingInterceptor

- All Implemented Interfaces:
    HandlerInterceptor

      public class ConversionServiceExposingInterceptor
      extends Object
      implements HandlerInterceptor

  Interceptor that places the configured `ConversionService` in request scope so it's available during request processing. The request attribute name is "org.springframework.core.convert.ConversionService", the value of `ConversionService.class.getName()`.

  Mainly for use within JSP tags such as the spring:eval tag.

  Since:
    3.0.1
  Author:
    Keith Donald

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionServiceExposingInterceptor(ConversionService conversionService)` Creates a new `ConversionServiceExposingInterceptor`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)` Interception point before the execution of a handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.servlet.HandlerInterceptor

      `afterCompletion, postHandle`

- - ### Constructor Detail

    - #### ConversionServiceExposingInterceptor

          public ConversionServiceExposingInterceptor(ConversionService conversionService)

      Creates a new `ConversionServiceExposingInterceptor`.
      Parameters:
        `conversionService` - the conversion service to export to request scope when this interceptor is invoked

  - ### Method Detail

    - #### preHandle

          public boolean preHandle(HttpServletRequest request,
                                   HttpServletResponse response,
                                   Object handler)
                            throws ServletException,
                                   IOException

      Description copied from interface: `HandlerInterceptor`
      Interception point before the execution of a handler. Called after HandlerMapping determined an appropriate handler object, but before HandlerAdapter invokes the handler.

      DispatcherServlet processes a handler in an execution chain, consisting of any number of interceptors, with the handler itself at the end. With this method, each interceptor can decide to abort the execution chain, typically sending an HTTP error or writing a custom response.

      Note: special considerations apply for asynchronous request processing. For more details see `AsyncHandlerInterceptor`.

      The default implementation returns `true`.

      Specified by:
        `preHandle` in interface `HandlerInterceptor`
      Parameters:
        `request` - current HTTP request
        `response` - current HTTP response
        `handler` - chosen handler to execute, for type and/or instance evaluation
      Returns:
        `true` if the execution chain should proceed with the next interceptor or the handler itself. Else, DispatcherServlet assumes that this interceptor has already dealt with the response itself.
      Throws:
        `ServletException`
        `IOException`